#!/bin/sh


disks=`/sbin/mount | grep -v -E "proc|(on \/dev)" | awk '{print $1}'`;

str=""
for disk in ${disks}; do
    str="${str} `$HOME/check_disk -w 10% -c 5% $disk`"
done


if [ "`echo $str | grep CRITICAL`" != "" ];then
    echo "$str STATUS: CRITICAL";
    exit;
fi

if [ "`echo $str | grep WARRNING`" != "" ];then
    echo "$str STATUS: WARNING";
    exit;
fi

if [ "`echo $str | grep OK`" != "" ];then
    echo "$str STATUS: OK";
    exit;
fi

echo "$str STATUS: CRITICAL";
exit;






#$res =  `/usr/home/nagios/check_disk -w 10% -c 5% /dev/ad0s1a`;
#$res .=  `/usr/home/nagios/check_disk -w 10% -c 5% -p /`;


#$_=$res;
#print $res;
#if (m/CRITICAL/){
#    print "STATUS: CRITICAL\n";
#    exit;    
#}
#if (m/WARNING/){
#    print "STATUS: WARNING\n";
#    exit;    
#}
#exit;
