#! /bin/sh

ssh-keygen -t rsa
ssh-keygen -t dsa

name=`uname -n`

cp ~/.ssh/*pub .
mv ./id_rsa.pub ./${name}.id_rsa.pub
mv ./id_dsa.pub ./${name}.id_dsa.pub

scp ./${name}.id_dsa.pub jamper@security.domain.ru:${name}.id_dsa.pub
scp ./${name}.id_rsa.pub jamper@security.domain.ru:${name}.id_rsa.pub

rm *.pub

scp jamper@security.domain.ru:~/script/check.tar.gz check.tar.gz

tar zxf check.tar.gz
rm  check.tar.gz


